Bug 76506 - xinetd 2.3.9 stops wu-ftp access
xinetd 2.3.9 stops wu-ftp access
Status: CLOSED DUPLICATE of bug 76146
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 12:17 EDT by Andrew Gormanly
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-04 13:15:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Gormanly 2002-10-22 12:17:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After upgrading to xinetd 2.3.9 as per the errata, our FTP service stopped working.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up wu-ftpd with xinetd access control
2. Upgrade xinetd to 2.3.9
3. Try to get on to FTP server
	

Actual Results:  No access.

Client side:

ncftp> open -u luke ftpserver
Remote host has closed the connection.                                          
Sleeping 20 seconds...                                                          

Server's /var/log/messages:

Oct 22 14:35:22 ftpserver xinetd[28421]: START: ftp pid=17970 from=192.168.33.45
Oct 22 14:35:22 ftpserver xinetd[17970]: Service=ftp: only_from list and
no_access list match equally the address 192.168.33.45
Oct 22 14:35:22 ftpserver xinetd[17970]: FAIL: ftp address from=192.168.33.45
Oct 22 14:35:22 ftpserver xinetd[28421]: EXIT: ftp status=0 pid=17970
duration=0(sec)


Expected Results:  On client:

ncftp> open -u luke ftpserver
Connecting to 192.168.33.200...
ftpserver FTP server (Version wu-2.6.1-16.7x.1) ready.
Logging in...                                                                   
Password requested by 192.168.33.200 for user "luke".

    Password required for luke.

Password:


In server logs:

Oct 22 17:12:24 ftpserver xinetd[18725]: START: ftp pid=18728 from=192.168.33.45
Oct 22 17:12:24 ftpserver ftpd[18728]: USER luke
Oct 22 17:12:28 ftpserver ftpd[18728]: PASS password
Oct 22 17:12:28 ftpserver ftpd[18728]: FTP LOGIN FROM artoo 
[192.168.33.45], luke


Additional info:

[root@ftpserver /etc]# cat xinetd.d/wu-ftpd 
# default: on
# description: The wu-ftpd FTP server serves FTP connections. It uses \
#       normal, unencrypted usernames and passwords for authentication.
service ftp
{
        socket_type             = stream
        wait                    = no
        user                    = root
        server                  = /usr/sbin/in.ftpd
        server_args             = -l -a
        log_on_success          += HOST EXIT DURATION USERID
        log_on_failure          += HOST USERID ATTEMPT 
        nice                    = 10
        disable                 = no
        log_type                = SYSLOG daemon info
        no_access               = 0.0.0.0
        only_from               = 192.168.33.0
        cps                     = 1 5
        max_load                = 3.0
}
Comment 1 mitchell mcgee 2002-10-23 09:22:35 EDT
After updating to xinetd-2.3.9-0.70 can no longer telnet nor FTP.  Mesage 
in /var/log/messages is: "libwrap refused connection to ftp".  We are running 
RH 7.0 on i686.
Comment 2 Mike Coutinho 2002-11-04 09:35:13 EST
    I recently updated my server with RHN and my ftp server and pop services do 
not seem to work after the patches.  The only thing I can possibly trace it 
back to would be the update for xinetd RHSA-2002:196-09.  
    I receive two messages in my /var/log/messages file when inetd starts....
Nov  4 09:29:32 redoctober xinetd: xinetd shutdown failed
Nov  4 09:29:38 redoctober xinetd[11049]: Bad log-on_failure flag: PID [line=11]
Nov  4 09:29:38 redoctober xinetd[11049]: A fatal error was encountered while p$
Nov  4 09:29:38 redoctober xinetd[11049]: Exiting...
Nov  4 09:29:38 redoctober xinetd: xinetd startup succeeded
Comment 3 Mike Coutinho 2002-11-04 13:15:35 EST
I am not sure exactly how I did it but I think I may have gotten it to work.  I 
updated to the most current kernel and all the other patches I could find and 
that didn't seem to do anything.  Then I went to the xinetd directory and 
looked at the sample.config.  The FTP section had userid listed rather than 
uname in the config.  I changed that and I think that might have done the 
trick.  I am still doing testing to see if I actually got it but it looks like 
xinetd could start cleanly in the log and I can ftp and pop3 into my server.
Comment 4 Bill Nottingham 2002-12-03 15:55:11 EST

*** This bug has been marked as a duplicate of 76146 ***

Note You need to log in before you can comment on or make changes to this bug.